Subject: Help setting up NIS on a machine

From: Yves Arrouye <[email-masked]>
Date: Sat, 10 Aug 1996 12:51:48 +0200

Hello,

I tried to use the nis 1.20 package but have a problem: I setup a server
on my machine, but when I run ypbind it makes endless connections:

marin54# !y
ypserv -d
[Welcome to the NYS YP Server, version 0.18 (with securenets)]
Find securenet: 255.0.0.0 127.0.0.0
Find securenet: 0.0.0.0 0.0.0.0
ypserv.conf: 0.0.0.0/0.0.0.0:*:0:0:2
ypproc_domain_nonack("puceron") [From: 127.0.0.1:1595]
connect from 127.0.0.1
        -> OK.
ypproc_domain_nonack("puceron") [From: 127.0.0.1:1597]
connect from 127.0.0.1
        -> OK.
ypproc_domain_nonack("puceron") [From: 127.0.0.1:1599]
connect from 127.0.0.1
        -> OK.
ypproc_domain_nonack("puceron") [From: 127.0.0.1:1601]
connect from 127.0.0.1
        -> OK.
ypproc_domain_nonack("puceron") [From: 127.0.0.1:1603]
connect from 127.0.0.1
        -> OK.

[etc].

This brings my machine to its knees unless I kill ypbind. I don't know
what is wrong and have setup NIS as said in the NIS HOWTO. The only
difference I find is:

marin# rpcinfo -u localhost ypserv
program 100004 version 1 ready and waiting
program 100004 version 2 ready and waiting

where in the HOWTO only the second line is here.

Do you have any idea of what can be wrong?

--